Skip to main content
`Ctrl`+`K`

# PetscSubcommCreate

Create a `PetscSubcomm` context. This object is used to manage the division of a `MPI_Comm` into subcommunicators

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSubcommCreate(MPI_Comm comm, PetscSubcomm *psubcomm)

Collective

## Input Parameter

- comm - MPI communicator

## Output Parameter

- psubcomm - location to store the `PetscSubcomm` context

## See Also

`PetscSubcomm`, `PetscSubcommDestroy()`, `PetscSubcommSetTypeGeneral()`, `PetscSubcommSetFromOptions()`, `PetscSubcommSetType()`, `PetscSubcommSetNumber()`

## Level

advanced

## Location

src/sys/objects/subcomm.c

## Examples

src/ksp/ksp/tutorials/ex73.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages